<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: NameDictionary Class Reference</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_name_dictionary-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NameDictionary Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Storage and functionality for block naming.  
 <a href="class_name_dictionary.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_name_dictionary_8h_source.html">NameDictionary.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a510b1e034639951fa9401424e021bb09"><td class="memItemLeft" align="right" valign="top">String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_name_dictionary.html#a510b1e034639951fa9401424e021bb09">get</a> (String key)</td></tr>
<tr class="memdesc:a510b1e034639951fa9401424e021bb09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the value associated to a key. If no key value pair is found, the search term is returned.  <a href="class_name_dictionary.html#a510b1e034639951fa9401424e021bb09">More...</a><br /></td></tr>
<tr class="separator:a510b1e034639951fa9401424e021bb09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac266d0392951208a6b4ab188ad73ed3d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_name_dictionary.html#ac266d0392951208a6b4ab188ad73ed3d">keys</a> ()</td></tr>
<tr class="memdesc:ac266d0392951208a6b4ab188ad73ed3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints all the keys to the serial.  <a href="class_name_dictionary.html#ac266d0392951208a6b4ab188ad73ed3d">More...</a><br /></td></tr>
<tr class="separator:ac266d0392951208a6b4ab188ad73ed3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1464fb3122f6fa04bfb54215ab31b8b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_name_dictionary.html#af1464fb3122f6fa04bfb54215ab31b8b">length</a> ()</td></tr>
<tr class="memdesc:af1464fb3122f6fa04bfb54215ab31b8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of key value pairs in the dictionary.  <a href="class_name_dictionary.html#af1464fb3122f6fa04bfb54215ab31b8b">More...</a><br /></td></tr>
<tr class="separator:af1464fb3122f6fa04bfb54215ab31b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af615479d85533f34f7e289be3b6218b6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_name_dictionary.html#af615479d85533f34f7e289be3b6218b6">list</a> ()</td></tr>
<tr class="memdesc:af615479d85533f34f7e289be3b6218b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints all the key value pairs to the serial.  <a href="class_name_dictionary.html#af615479d85533f34f7e289be3b6218b6">More...</a><br /></td></tr>
<tr class="separator:af615479d85533f34f7e289be3b6218b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61a5f5b7a2537206f4ef75012647166e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_name_dictionary.html#a61a5f5b7a2537206f4ef75012647166e">NameDictionary</a> ()</td></tr>
<tr class="memdesc:a61a5f5b7a2537206f4ef75012647166e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="class_name_dictionary.html#a61a5f5b7a2537206f4ef75012647166e">More...</a><br /></td></tr>
<tr class="separator:a61a5f5b7a2537206f4ef75012647166e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24371606944bf0780b169d6007730ec7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_name_dictionary.html#a24371606944bf0780b169d6007730ec7">values</a> ()</td></tr>
<tr class="memdesc:a24371606944bf0780b169d6007730ec7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints all the values to the serial.  <a href="class_name_dictionary.html#a24371606944bf0780b169d6007730ec7">More...</a><br /></td></tr>
<tr class="separator:a24371606944bf0780b169d6007730ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Storage and functionality for block naming. </p>
<p>This class contains an array of chip ID to name mappings and a number of functions to help blocks auto asign themselves a name. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a61a5f5b7a2537206f4ef75012647166e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61a5f5b7a2537206f4ef75012647166e">&#9670;&nbsp;</a></span>NameDictionary()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NameDictionary::NameDictionary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a510b1e034639951fa9401424e021bb09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a510b1e034639951fa9401424e021bb09">&#9670;&nbsp;</a></span>get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">String NameDictionary::get </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the value associated to a key. If no key value pair is found, the search term is returned. </p>

</div>
</div>
<a id="ac266d0392951208a6b4ab188ad73ed3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac266d0392951208a6b4ab188ad73ed3d">&#9670;&nbsp;</a></span>keys()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NameDictionary::keys </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints all the keys to the serial. </p>

</div>
</div>
<a id="af1464fb3122f6fa04bfb54215ab31b8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1464fb3122f6fa04bfb54215ab31b8b">&#9670;&nbsp;</a></span>length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int NameDictionary::length </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the number of key value pairs in the dictionary. </p>

</div>
</div>
<a id="af615479d85533f34f7e289be3b6218b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af615479d85533f34f7e289be3b6218b6">&#9670;&nbsp;</a></span>list()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NameDictionary::list </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints all the key value pairs to the serial. </p>

</div>
</div>
<a id="a24371606944bf0780b169d6007730ec7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24371606944bf0780b169d6007730ec7">&#9670;&nbsp;</a></span>values()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NameDictionary::values </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints all the values to the serial. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/<a class="el" href="_name_dictionary_8h_source.html">NameDictionary.h</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
